Subject: Re: [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Andi Kleen <[email-masked]>
Date: Wed, 23 Dec 2009 20:27:05 +0100

Ingo Molnar <[email-masked]> writes:

> Yes, there's (obviously) compatibility requirements and artifacts and past 
> mistakes (as with any software interface), but you need to admit it to 

Yes that's exactly what I meant. 

> yourself that your "virtualization is sloppy just like hardware" claim is just 

In my experience hardware is a lot less sloppy than software.
Imagine your latest CPU had as many regressions as 2.6.32 @)

I wish software and even VMs were as good.

> a cheap excuse to not do a proper job of interface engineering.

Past mistakes cannot be easily fixed. And undoubtedly even the new
shiny interfaces will have bugs and problems. Also the behaviour is
often not completely understood. Maybe it can be easier debugged with
fully available source, but even then it's hard to fix the old
software (or rather even if you can fix it deploy the fixes). In
that regard it's a lot like hardware.

I agree with you that this makes it important to design good
interfaces, but again realistically mistakes will be made
and they cannot be all fixed retroactively.

-Andi

-- 
[email-masked] -- Speaking for myself only.